Skip to main content
GET
/
v2
/
branches
/
users
Get Branch Users
curl --request GET \
  --url https://api.voxo.co/v2/branches/users \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": 123,
    "number": 123,
    "name": "<string>",
    "avatarPath": "<string>",
    "avatarThumbnailPath": "<string>",
    "email": "<string>",
    "status": "<string>",
    "peerName": "<string>",
    "dnd": 123
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

List of branch users with status

id
number
required

Extension ID

number
number
required

Extension number

name
string
required

Extension name

avatarPath
string | null
required

Avatar image URL

avatarThumbnailPath
string | null
required

Avatar thumbnail URL

email
string | null
required

User email

status
string | null
required

Live call status (Calling, Ring, Up, or null)

peerName
string
required

SIP peer name

dnd
number | null
required

Do not disturb (0/1)